SqlUtil::JoinOperatorInfo Struct Reference

join operator info hash as returned by all join operator functions More...

## Public Attributes

*string | alias
| optional alias for table in the query
*hash | cond
| additional conditions for the join clause for the table argument; see Where Clauses for more information
*hash | jcols
| the columns to use for the join, the keys will be columns in the source table and the values are columns in the table argument
string | jop
| the join operator string code
*hash | opt
| optional join options (for example, to specify a partition for the join if supported)
*string | ta
| optional table name or alias of the other table to join with when not joining with the primary table
any | table
| the table to join with (either an AbstractTable object or a string table name)

## Detailed Description

join operator info hash as returned by all join operator functions